empathy crashed with SIGSEGV in g_unix_fd_message_append_fd()

Bug #898750 reported by Baronos on 2011-12-01
34
This bug affects 6 people
Affects Status Importance Assigned to Milestone
empathy (Ubuntu)
Medium
Unassigned

Bug Description

ubuntu@gnome:~$ lsb_release -rd
Description: Ubuntu precise (development branch)
Release: 12.04
_____________

ubuntu@gnome:~$ apt-cache policy empathy
empathy:
  Installed: 3.2.1.2-0ubuntu1
  Candidate: 3.2.1.2-0ubuntu1
  Table of versions:
 *** 3.2.1.2-0ubuntu1 0
        500 http://ru.archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
        100 /var/lib/dpkg/status

_____________

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: empathy 3.2.1.2-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-2.5-generic 3.2.0-rc3
Uname: Linux 3.2.0-2-generic x86_64
ApportVersion: 1.90-0ubuntu1
Architecture: amd64
CrashCounter: 1
Date: Thu Dec 1 21:42:03 2011
ExecutablePath: /usr/bin/empathy
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20111129.1)
ProcCmdline: empathy --gdk-debug=
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, no user)
 LANG=ru_RU.UTF-8
SegvAnalysis:
 Segfault happened at: 0x7fda305b201b: mov %r9b,(%rax)
 PC (0x7fda305b201b) ok
 source "%r9b" ok
 destination "(%rax)" (0x7fda2fbd53a0) in non-writable VMA region: 0x7fda2fbca000-0x7fda2fcba000 r-xp /lib/x86_64-linux-gnu/libglib-2.0.so.0.3103.0
SegvReason: writing VMA /lib/x86_64-linux-gnu/libglib-2.0.so.0.3103.0
Signal: 11
SourcePackage: empathy
StacktraceTop:
 ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
 ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 g_spawn_async_with_pipes () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 g_spawn_async () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
Title: empathy crashed with SIGSEGV in g_spawn_async_with_pipes()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo

Baronos (seredkinab) wrote :

StacktraceTop:
 g_unix_fd_message_append_fd (message=0x3, fd=2, error=<optimized out>) at /build/buildd/glib2.0-2.30.1/./gio/gunixfdmessage.c:323
 gvs_variable_sized_array_needed_size (n_children=41266144, children=0x276c350, gvs_filler=0x12, type_info=0x7fffa82b8570) at /build/buildd/glib2.0-2.30.1/./glib/gvariant-serialiser.c:701
 g_variant_serialiser_needed_size (type_info=0x7fffa82b8570, gvs_filler=0x12, children=0x276c350, n_children=41266144) at /build/buildd/glib2.0-2.30.1/./glib/gvariant-serialiser.c:1428
 ?? ()

Changed in empathy (Ubuntu):
importance: Undecided → Medium
summary: - empathy crashed with SIGSEGV in g_spawn_async_with_pipes()
+ empathy crashed with SIGSEGV in g_unix_fd_message_append_fd()
tags: removed: need-amd64-retrace
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in empathy (Ubuntu):
status: New → Confirmed
visibility: private → public
tags: added: qa-manual-testing
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers